# set_property CFGBVS VCCO [current_design]
# set_property CONFIG_VOLTAGE 2.5 [current_design]

set_property IOSTANDARD LVDS_25 [get_ports {XTAL_0_IN_P}]
set_property PACKAGE_PIN Y19 [get_ports {XTAL_0_IN_P}]
set_property IOSTANDARD LVDS_25 [get_ports {XTAL_0_IN_N}]
set_property PACKAGE_PIN AA19 [get_ports {XTAL_0_IN_N}]

set_property IOSTANDARD LVDS_25 [get_ports {LVDS_CLK_OUT_P}]
set_property PACKAGE_PIN Y4 [get_ports {LVDS_CLK_OUT_P}]
set_property IOSTANDARD LVDS_25 [get_ports {LVDS_CLK_OUT_N}]
set_property PACKAGE_PIN AA4 [get_ports {LVDS_CLK_OUT_N}]

set_property IOSTANDARD LVDS_25 [get_ports {LVDS_DAT_OUT_P[0]}]
set_property PACKAGE_PIN V5 [get_ports {LVDS_DAT_OUT_P[0]}]
set_property IOSTANDARD LVDS_25 [get_ports {LVDS_DAT_OUT_N[0]}]
set_property PACKAGE_PIN V4 [get_ports {LVDS_DAT_OUT_N[0]}]

set_property IOSTANDARD LVDS_25 [get_ports {LVDS_DAT_OUT_P[1]}]
set_property PACKAGE_PIN AB7 [get_ports {LVDS_DAT_OUT_P[1]}]
set_property IOSTANDARD LVDS_25 [get_ports {LVDS_DAT_OUT_N[1]}]
set_property PACKAGE_PIN AB6 [get_ports {LVDS_DAT_OUT_N[1]}]

set_property IOSTANDARD LVCMOS25 [get_ports {PHOTOINTERRUPT_IN}]
set_property PACKAGE_PIN P20 [get_ports {PHOTOINTERRUPT_IN}]
set_property PIO_DIRECTION INPUT [get_ports {PHOTOINTERRUPT_IN}]

set_property IOSTANDARD LVCMOS25 [get_ports {TEST_OUT[0]}]
set_property PACKAGE_PIN Y11 [get_ports {TEST_OUT[0]}]
set_property PIO_DIRECTION OUTPUT [get_ports {TEST_OUT[0]}]

set_property IOSTANDARD LVCMOS25 [get_ports {TEST_OUT[1]}]
set_property PACKAGE_PIN Y10 [get_ports {TEST_OUT[1]}]
set_property PIO_DIRECTION OUTPUT [get_ports {TEST_OUT[1]}]

set_property IOSTANDARD LVCMOS25 [get_ports {TEST_OUT[2]}]
set_property PACKAGE_PIN V8  [get_ports {TEST_OUT[2]}]
set_property PIO_DIRECTION OUTPUT [get_ports {TEST_OUT[2]}]

set_property IOSTANDARD LVCMOS25 [get_ports {TEST_OUT[3]}]
set_property PACKAGE_PIN W8  [get_ports {TEST_OUT[3]}]
set_property PIO_DIRECTION OUTPUT [get_ports {TEST_OUT[3]}]

set_property IOSTANDARD LVCMOS25 [get_ports {TEST_OUT[4]}]
set_property PACKAGE_PIN P17 [get_ports {TEST_OUT[4]}]
set_property PIO_DIRECTION OUTPUT [get_ports {TEST_OUT[4]}]

set_property IOSTANDARD LVCMOS25 [get_ports {TEST_OUT[5]}]
set_property PACKAGE_PIN P18 [get_ports {TEST_OUT[5]}]
set_property PIO_DIRECTION OUTPUT [get_ports {TEST_OUT[5]}]
